Axis2/C: Flow

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# Flow

## Functions
AXIS2_EXTERN axis2_status_t | axiom_mime_parser_parse_for_soap (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, AXIS2_READ_INPUT_CALLBACK callback, void *callback_ctx, axis2_char_t *mime_boundary)
AXIS2_EXTERN axutil_hash_t * | axiom_mime_parser_parse_for_attachments (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, AXIS2_READ_INPUT_CALLBACK callback, void *callback_ctx, axis2_char_t *mime_boundary, void *user_param)
AXIS2_EXTERN axutil_hash_t * | axiom_mime_parser_get_mime_parts_map (axiom_mime_parser_t *mime_parser, const axutil_env_t *env)
AXIS2_EXTERN void | axiom_mime_parser_free (axiom_mime_parser_t *mime_parser, const axutil_env_t *env)
AXIS2_EXTERN int | axiom_mime_parser_get_soap_body_len (axiom_mime_parser_t *mime_parser, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_mime_parser_get_soap_body_str (axiom_mime_parser_t *mime_parser, const axutil_env_t *env)
AXIS2_EXTERN axiom_mime_parser_t * | axiom_mime_parser_create (const axutil_env_t *env)
AXIS2_EXTERN void | axiom_mime_parser_set_buffer_size (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, int size)
AXIS2_EXTERN void | axiom_mime_parser_set_max_buffers (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, int num)
AXIS2_EXTERN void | axiom_mime_parser_set_attachment_dir (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, axis2_char_t *attachment_dir)
AXIS2_EXTERN void | axiom_mime_parser_set_caching_callback_name (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, axis2_char_t *callback_name)
AXIS2_EXTERN void | axiom_mime_parser_set_mime_boundary (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, axis2_char_t *mime_boundary)
AXIS2_EXTERN axis2_char_t * | axiom_mime_parser_get_mime_boundary (axiom_mime_parser_t *mime_parser, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axiom_mime_parser_t* axiom_mime_parser_create | ( | const axutil_env_t * | env | ) |

Create a mime parser struct

Parameters:

  | env | Environment. MUST NOT be NULL.

Returns:
  created mime parser

AXIS2_EXTERN void axiom_mime_parser_free | ( | axiom_mime_parser_t * | mime_parser,
|  | const axutil_env_t * | env |
| ) |  |  |

Deallocate memory. Free the mime parser struct

Parameters:

  | mime_parser | the pointer for the mime parser struct
  | env | Environment. MUST NOT be NULL.

Returns:
  VOID

AXIS2_EXTERN axutil_hash_t* axiom_mime_parser_get_mime_parts_map | ( | axiom_mime_parser_t * | mime_parser,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns mime parts as a hash map

Parameters:

  | mime_parser | the pointer for the mime parser struct
  | env | Environment. MUST NOT be NULL.

Returns:
  mime parts as a hash map

AXIS2_EXTERN int axiom_mime_parser_get_soap_body_len | ( | axiom_mime_parser_t * | mime_parser,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns the length of the SOAP Body

Parameters:

  | mime_parser | the pointer for the mime parser struct
  | env | Environment. MUST NOT be NULL.

Returns:
  the length of the SOAP Body

AXIS2_EXTERN axis2_char_t* axiom_mime_parser_get_soap_body_str | ( | axiom_mime_parser_t * | mime_parser,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the SOAP Body as a string

Parameters:

  | mime_parser | the pointer for the mime parser struct
  | env | Environment. MUST NOT be NULL.

Returns:
  the SOAP Body as a string

AXIS2_EXTERN axis2_status_t axiom_mime_parser_parse_for_soap | ( | axiom_mime_parser_t * | mime_parser,
|  | const axutil_env_t * | env,
|  | AXIS2_READ_INPUT_CALLBACK | callback,
|  | void * | callback_ctx,
|  | axis2_char_t * | mime_boundary |
| ) |  |  |

Parse and returns mime parts as a hash map

Parameters:

  | mime_parser | the pointer for the mime parser struct
  | env | Environment. MUST NOT be NULL.
  | callback_ctx | the callback context
  | mime_boundary | the MIME boundary

Returns:
  mime parts as a hash map

AXIS2_EXTERN void axiom_mime_parser_set_attachment_dir | ( | axiom_mime_parser_t * | mime_parser,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | attachment_dir |
| ) |  |  |

Set attachment dir specified in the axis2.xml

Parameters:

  | mime_parser | the pointer for the mime parser struct
  | env | Environment. MUST NOT be NULL.
  | attachment_dir | is string containg the directory path

Returns:
  VOID

AXIS2_EXTERN void axiom_mime_parser_set_buffer_size | ( | axiom_mime_parser_t * | mime_parser,
|  | const axutil_env_t * | env,
|  | int | size |
| ) |  |  |

Set the size of the chink buffer

Parameters:

  | mime_parser | the pointer for the mime parser struct
  | env | Environment. MUST NOT be NULL.
  | size | the size of the chink buffer

Returns:
  mime parts as a hash map

AXIS2_EXTERN void axiom_mime_parser_set_caching_callback_name | ( | axiom_mime_parser_t * | mime_parser,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | callback_name |
| ) |  |  |

Set Caching callback name specified in the axis2.xml

Parameters:

  | mime_parser | the pointer for the mime parser struct
  | env | Environment. MUST NOT be NULL.
  | callback_name | is string containg the dll path

Returns:
  VOID

AXIS2_EXTERN void axiom_mime_parser_set_max_buffers | ( | axiom_mime_parser_t * | mime_parser,
|  | const axutil_env_t * | env,
|  | int | num |
| ) |  |  |

Set maximum number of chunk buffers

Parameters:

  | mime_parser | the pointer for the mime parser struct
  | env | Environment. MUST NOT be NULL.
  | num | maximum number of chunk buffers

Returns:
  VOID